---
title: "Replace the signed-in rep's personal link"
description: "The caller must be eligible for a personal link. The previous code stops working. Returns 503 when REP_PAGE_MINTING_DISABLED is true, or when the link table is not available yet. The new code is not written to the log.\n"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Rep profiles

`POST /api/rep-profiles/me/public-link/rotate`

The caller must be eligible for a personal link. The previous code stops working. Returns 503 when REP_PAGE_MINTING_DISABLED is true, or when the link table is not available yet. The new code is not written to the log.

## Header parameters

- `x-workspace-id` (`post/api/rep-profiles/me/public-link/rotate.header.x-workspace-id`; string, optional)

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.channelautomation.com/api/rep-profiles/me/public-link/rotate
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/rep-profiles/me/public-link/rotate';
const options = {method: 'POST'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/rep-profiles/me/public-link/rotate"

response = requests.post(url)

print(response.text)
```

## Responses

### 200

{ code, public_url, link_live }

### 403

The caller is not a member, or is not eligible for a personal link.

### 503

Minting is turned off or the link table is not available yet.


Source: https://developer.channelautomations.com/api/post-api-rep-profiles-me-public-link-rotate/index.md
